Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal
Class PortalParentedResourceType

    java.lang.Object
      com.bea.portal.tools.resource.ResourceType
          com.bea.portal.tools.resource.WebAppResourceType
              com.bea.portal.tools.resource.ParentedResourceType
                  com.bea.portal.tools.portal.PortalParentedResourceType

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  DesktopParentedResourceType

    public class PortalParentedResourceType

extends ParentedResourceType

See Also
  Serialized Form

Field Summary
`static String` | `NAMESPACE_URI` The namespace URI of `PortalParentedResourceType`.

Constructor Summary
`protected` | `PortalParentedResourceType()` Constructor.
`protected` | `PortalParentedResourceType(String namespaceUri)`

Method Summary
`static PortalParentedResourceType` | `getPortalParentedResourceType()` Get the `PortalParentedResourceType`.

Methods inherited from class com.bea.portal.tools.resource.ParentedResourceType
`getParentedResourceType`

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceType
`getWebAppResourceType`

Methods inherited from class com.bea.portal.tools.resource.ResourceType
`equals, equals, getNamespaceURI, getTreeMode, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

  The namespace URI of `PortalParentedResourceType`.

  See Also
    Constants Summary

Constructor Detail

### PortalParentedResourceType

    protected PortalParentedResourceType()

  Constructor.

### PortalParentedResourceType

    protected PortalParentedResourceType(String namespaceUri)

Method Detail

### getPortalParentedResourceType

    public static PortalParentedResourceType getPortalParentedResourceType()

  Get the `PortalParentedResourceType`.

  Returns
    the `PortalParentedResourceType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved